package com.brtchip.io;

/**
 * Serial Port listener interface
 */
public interface SerialPortListener {

	/** Byte Transfered Event.
	 *  Triggered when a byte is transmitted or received depending on what
	 *  listener it is attached to. 
	 * @param c The byte transfered
	 */
	public void byteTransfered(byte c);
	
	/** Break Event.
	 *  A break condition has been seen.
	 */
	public void onBreak();
	
	/** CTS Event.
	 *  CTS has changed
	 */
	public void onCTS();
	
	/** DSR Event.
	 *  DSR has changed
	 */
	public void onDSR();
	
	/** Ring Event.
	 *  RI has changed
	 */
	public void onRing();
	
}
