package com.brtchip.swing;


import java.awt.Component;

import javax.swing.JTextPane;
import javax.swing.plaf.ComponentUI;
import javax.swing.text.StyledDocument;

public class JNonWrappingTextPane extends JTextPane {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public JNonWrappingTextPane() 
	{
		super();
	}
	
	public JNonWrappingTextPane(StyledDocument doc)
	{
		super(doc);
	}
	
	@Override
	public boolean getScrollableTracksViewportWidth() {
		Component parent = getParent();
		ComponentUI ui = getUI();
		
		return parent != null ? (ui.getPreferredSize(this).width <= parent
		        .getSize().width) : true;
	}
}
